use rand::{self, Rng};
use std::{
    thread::{self, JoinHandle},
    time::Instant,
};

fn th_run() {
    let mut random = rand::thread_rng();
    let mut arr = vec![0u8; 1_000_000];
    for _ in 0..100 {
        for i in 0..1_000_000 {
            arr[i] = random.gen();
        }
    }
    println!("th_run: end");
}

fn main() {
    let start = Instant::now();
    // th_run();
    // th_run();

    let mut thread_list: Vec<JoinHandle<()>> = vec![];
    for _ in 0..2 {
        let t = thread::spawn(move || {
            th_run();
        });
        thread_list.push(t);
    }

    println!("count: {}", thread_list.len());

    for th in thread_list {
        th.join().unwrap();
    }

    println!("{:?}", start.elapsed());
}
